PUT
Update Beneficiary

Path Parameters

beneficiary_id
string<uuid>
required

Beneficiary UUID

Body

application/json

Request to update an existing beneficiary Note: Nested Option fields (Option<Option>) don't support derive(Validate), so validation for IBAN, BIC, etc. is done manually via validate() method

account_number
string | null
address
string | null
bank_address
string | null
bank_name
string | null
beneficiary_type
null | enum<string>

Beneficiary Type - Individual person or company

Available options:
PERSON,
COMPANY
bic
string | null
city
string | null
country_code
string | null
display
boolean | null
iban
string | null
name
string | null
postal_code
string | null
routing_number
string | null
swift_code
string | null

Response

Beneficiary updated successfully

Beneficiary - Payment recipient entity

beneficiary_type
enum<string>
required

Beneficiary Type - Individual person or company

Available options:
PERSON,
COMPANY
client_id
string<uuid>
required
created_at
string<date-time>
required
display
boolean
required

Whether beneficiary is displayed to users

id
string<uuid>
required
name
string
required

Beneficiary name (person or company name)

updated_at
string<date-time>
required
account_number
string | null

Bank account number (non-SEPA)

address
string | null
bank_address
string | null

Bank address

bank_name
string | null

Bank name

bic
string | null

Bank Identifier Code (SEPA)

city
string | null
country_code
string | null

ISO 3166-1 alpha-3 country code

iban
string | null

International Bank Account Number (SEPA)

postal_code
string | null
routing_number
string | null

US ABA routing number

swift_code
string | null

SWIFT code for international transfers